From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 22 October 2013<P>

Just got back from the UK!<BR>
<BR>
Had a trip for a week for work, mostly Cardiff in Wales but then a weekend in London.<BR>
<BR>
I admit that it was a bit melancholy because my two previous trips there were with a gal I was in love with (err, two different gals though) and it's just not the same with a coworker...
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 22 October 2013<P>

That's great Kirk..are you sharing snaps on your site? <BR>
<BR>
I was totally into the history and sights and never lonely in London. It was Hawaii that made me melancholy.<BR>
<BR>
bk
<HR>